List invoices
curl --request GET \
--url https://api.managem.co.uk/user/invoices \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.managem.co.uk/user/invoices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.managem.co.uk/user/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"invoices": [
{
"id": "<string>",
"number": "<string>",
"amountDue": 123,
"createdAt": "<string>"
}
],
"hasMore": true,
"nextStartingAfter": "<string>"
}Invoices
List invoices
List Stripe invoices for the authenticated customer.
Use this endpoint for billing history pages and invoice tables.
Pagination:
limitcontrols page size (1-100).startingAftercontinues from a previous page token.- Response includes
hasMoreandnextStartingAfterfor pagination UX.
Behavior:
- If the user has no Stripe customer link yet, returns an empty list rather than an error.
GET
/
user
/
invoices
List invoices
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Maximum number of invoices to return.
Required range:
1 <= x <= 100Stripe invoice ID to start after. Use the value from nextStartingAfter of the previous response.
Response
200 - application/json
Paginated Stripe invoices for the authenticated user.
Collection of Stripe invoices for the authenticated customer.
Show child attributes
Show child attributes
Indicates whether more invoices are available beyond the current page.
Identifier to pass as startingAfter in the next request when hasMore is true.